shared_thumbnail
GET
/api/v1/s/{token}/thumbnail
const url = 'https://example.com/api/v1/s/example/thumbnail';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/s/example/thumbnail";
let client = reqwest::Client::new(); let response = client.get(url) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url https://example.com/api/v1/s/example/thumbnailParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”token
required
string
Share token
Responses
Section titled “Responses”Thumbnail image (WebP)
Thumbnail generation accepted
Thumbnail not modified
Thumbnail not supported for this file type
Password required
Share or file not found, or thumbnail unavailable
Storage backend is disabled or not ready
Unexpected thumbnail generation failure